#Script by Adam Grayson 2013

#Script is meant to run AFTER "rebuildScripts.py" has run and scripts have been rebuilt (after UDK prompts the user).
#Makes *.u scripts read-only (Perforce-friendly) and launches Grapple's UDK editor.

import os, sys, stat

scriptsPath = "C:\\dev\\GRAPPLE\\UDK\\UDKGame\\Script\\"
print(scriptsPath)
print(os.listdir(scriptsPath))
exePath = "C:\\dev\\GRAPPLE\\UDK\\Binaries\\"
exe = "UDKLift.exe editor"

#After scripts have been rebuilt, make them read-only and launch into Grapple UDK editor
for file in os.listdir(scriptsPath):
	if file.endswith(".u"):
		os.chmod(scriptsPath+file, stat.S_IREAD)

#Launch UDK to rebuild scripts
os.chdir(exePath)
os.system(exePath+exe)